> For the complete documentation index, see [llms.txt](https://docs.defisaver.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.defisaver.com/actions/liquityv2/liquityv2adjustzombietrove.md).

# LiquityV2AdjustZombieTrove

### Description

Adjusts a zombie trove on a specific market

### Action ID

`0x7ae5cb1e`

### SDK Action

```ts
const liquityV2AdjustZombieTroveAction = new dfs.actions.liquityV2.LiquityV2AdjustZombieTroveAction(
    market,
    from,
    to,
    troveId,
    collAmount,
    debtAmount,
    upperHint,
    lowerHint,
    maxUpfrontFee,
    collAction,
    debtAction
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param market The address of the LiquityV2 market (collateral branch)
    /// @param from The address to pull the tokens from
    /// @param to The address to send the tokens to
    /// @param troveId The ID of the trove to adjust
    /// @param collAmount The amount of collateral to supply or withdraw
    /// @param debtAmount The amount of debt to payback or borrow
    /// @param upperHint The upper hint for the trove
    /// @param lowerHint The lower hint for the trove
    /// @param maxUpfrontFee The maximum upfront fee to pay (see IHintHelpers:predictAdjustTroveUpfrontFee)
    /// @param collAction The type of collateral action to perform. 0 for supply, 1 for withdraw
    /// @param debtAction The type of debt action to perform. 0 for payback, 1 for borrow
    struct Params {
        address market;
        address from;
        address to;
        uint256 troveId;
        uint256 collAmount;
        uint256 debtAmount;
        uint256 upperHint;
        uint256 lowerHint;
        uint256 maxUpfrontFee;
        CollActionType collAction;
        DebtActionType debtAction;
    }
```

### Return Value

```solidity
return bytes32(debtAmount);
```

### Events and Logs

```solidity
emit ActionEvent("LiquityV2AdjustZombieTrove", logData);
logger.logActionDirectEvent("LiquityV2AdjustZombieTrove", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.defisaver.com/actions/liquityv2/liquityv2adjustzombietrove.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
